#
# spec file for package at-spi (Version 1.28.1)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           at-spi
Version:        1.28.1
Release:        0.1.1
License:        GPLv2+ ; LGPLv2.1+
Summary:        Assistive Technology Service Provider Interface
Url:            http://www.gnome.org/
Group:          Development/Libraries/GNOME
Source:         %{name}-%{version}.tar.bz2
BuildRequires:  fdupes
BuildRequires:  gconf2-devel
BuildRequires:  gtk-doc
BuildRequires:  gtk2-devel
BuildRequires:  intltool
BuildRequires:  libbonobo-devel
BuildRequires:  libidl-devel
BuildRequires:  python
BuildRequires:  translation-update-upstream
BuildRequires:  update-desktop-files
Requires:       %{name}-lang = %{version}
# Needed for the python bindings
Requires:       python-gnome
Requires:       python-orbit
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%gconf_schemas_prereq

%description
This library, based on ATK, is a general interface for applications to
make use of the accessibility toolkit.

%package devel
License:        GPLv2+ ; LGPLv2.1+
Summary:        Include Files and Libraries mandatory for Development
Group:          Development/Libraries/GNOME
Requires:       %{name} = %{version}
Requires:       atk-devel
Requires:       gtk2-devel
Requires:       libbonobo-devel

%description devel
This package contains all necessary include files and libraries needed
to develop applications that require these.

%package doc
License:        GPLv2+ ; LGPLv2.1+
Summary:        Additional Package Documentation
Group:          Development/Libraries/GNOME
Requires:       %{name} = %{version}

%description doc
This package contains optional documentation provided in addition to
this package's base documentation.

%lang_package
%prep
%setup -q
translation-update-upstream

%build
%configure\
        --disable-static \
	--libexecdir=%{_prefix}/lib/at-spi
make %{?jobs:-j%jobs} referencetopdir=%{_docdir}/%{name}/reference

%install
make install referencetopdir=%{_docdir}/%{name}/reference DESTDIR=%{buildroot}
find %{buildroot} -type f -name "*.la" -delete -print
%suse_update_desktop_file at-spi-registryd
%find_gconf_schemas
%find_lang %{name}
cp AUTHORS COPYING ChangeLog NEWS README %{buildroot}%{_docdir}/%{name}
%fdupes %{buildroot}

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%pre -f %{name}.schemas_pre

%preun -f %{name}.schemas_preun

%posttrans -f %{name}.schemas_posttrans

%files -f %{name}.schemas_list
%defattr (-, root, root)
%doc %dir %{_docdir}/%{name}
%doc %{_docdir}/%{name}/AUTHORS
%doc %{_docdir}/%{name}/COPYING
%doc %{_docdir}/%{name}/ChangeLog
%doc %{_docdir}/%{name}/NEWS
%doc %{_docdir}/%{name}/README
%{_libdir}/*.so.*
%{_libdir}/bonobo/servers/Accessibility_Registry.server
%{_libdir}/gtk-2.0/modules/*.so
%{_libdir}/orbit-2.0/*.so
%{_prefix}/lib/at-spi
%{_sysconfdir}/xdg/autostart/*.desktop
# FIXME: split these off into a separate -python package
%dir %{py_sitedir}/pyatspi/
%{py_sitedir}/pyatspi/*

%files lang -f %{name}.lang

%files devel
%defattr (-, root, root)
%{_includedir}/at-spi-1.0
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/idl/at-spi-1.0

%files doc
%defattr (-, root, root)
%{_datadir}/gtk-doc/html/at-spi-cspi
%doc %{_docdir}/%{name}/reference

%changelog
* Thu Dec 17 2009 dimstar@opensuse.org
- Update to version 1.28.1:
  + bgo#594754 - Fixed the crash problem
  + Translation update.
* Mon Sep 28 2009 vuntz@opensuse.org
- Update to version 1.28.0:
  + Bugfixes: bgo#594754.
  + Translation update.
* Wed Sep  9 2009 vuntz@opensuse.org
- Update to version 1.27.92:
  + Bugfixes: bgo#592981.
  + Translation update.
* Tue Aug 25 2009 vuntz@novell.com
- Update to version 1.27.91:
  + Bugfixes: bgo#489828, bgo#584467, bgo#578334.
  + Translation update.
- Add update-desktop-files BuildRequires, and call
  suse_update_desktop_file on at-spi-registryd.
- Clean the spec file with spec-cleaner (reorder lines, split
  BuildRequires/Requires to one per line, use a find to remove .la
  files, etc.)
* Tue May  5 2009 vuntz@novell.com
- Add python-gnome and python-orbit Requires, needed for the python
  bindings.
* Thu Apr 30 2009 vuntz@novell.com
- Pass --disable-static to configure and remove .la files.
* Mon Mar 16 2009 vuntz@novell.com
- Update to version 1.26.0:
  + Updated translations.
* Mon Mar 16 2009 sbrabec@suse.cz
- Added support for translation-update-upstream (FATE#301344).
* Fri Mar  6 2009 vuntz@novell.com
- Update to version 1.25.92:
  + Bugs fixed: bgo#570752, bgo#570754, bgo#572188.
- Remove AutoReqProv: it's default now.
- Remove unneeded BuildRequires: gnome-common, perl-XML-Parser,
  sgml-skel, update-desktop-files.
- Change gail-devel BuildRequires in gtk2-devel.
* Sat Jan 31 2009 mboman@suse.de
- Update to version 1.25.5:
  + Bugs fixed: bgo#566999, bgo#566998, bgo#567706
* Sun Jan 25 2009 vuntz@novell.com
- Use sr@latin instead of sr@Latn since it's what glibc upstream
  uses.
* Thu Jan  8 2009 mboman@novell.com
- Remove at-spi_a11y.patch. Fixed upstream
* Thu Jan  8 2009 sshaw@decriptor.com
- Allow gail to be disabled via an env variable (bnc#460890).
* Tue Jan  6 2009 mboman@suse.de
- Update to version 1.25.4:
  + Bugs fixed: bgo#563806, bgo#563943, bgo#564880
* Sat Dec 20 2008 mboman@suse.de
- Update to version 1.25.2:
  + Bugs fixed: bgo#540183, bgo#560563, bgo#553306, bgo#561408, bgo#446574,
    bgo#532907, bgo#554953, bgo#552469, bgo#547943, bgo#525519, bgo#527585.
  + Translation updates
* Tue Nov 25 2008 sbrabec@suse.cz
- Supplement gtk2-32bit/gtk2-64bit in baselibs.conf (bnc#354164).
* Thu Oct  9 2008 sbrabec@suse.cz
- Signed-off.
* Wed Oct  1 2008 sshaw@decriptor.com
- Update to version 1.24.0:
  + Bug fixed: bgo##535827.
  + Translation updates
* Wed Sep 10 2008 maw@suse.de
- Update to version 1.23.92:
  + Bug fixed: bgo##551334.
* Fri Sep  5 2008 maw@suse.de
- Rename that pesky sr@latin locale to sr@Latn.
* Tue Sep  2 2008 mboman@novell.com
- Update to version 1.23.91:
  + Bugfixes: bgo#548559, bgo#350552, bgo#547875.
  + Translation updates
* Thu Aug  7 2008 maw@suse.de
- Update to version 1.23.6:
  + Bugs fixed: bgo#436579 and bgo#545849.
* Mon Jun 30 2008 sshaw@decriptor.com
- Update to version 1.23.5:
  + Bugs fixed: bgo#541119, bgo#435833, bgo#524806, and bgo#542217.
* Mon Jun  9 2008 maw@suse.de
- Update to version 1.23.3:
  + Bugs fixed: bgo#532887, bgo#498668, bgo#431053, bgo#451553,
    bgo#520490, bgo#521667, and bgo#522356.
* Wed Apr  9 2008 maw@suse.de
- Update to version 1.22.1:
  + Bug fixed: bgo#520490
  + Updated translations.
* Fri Mar 14 2008 maw@suse.de
- Update to version 1.22.0:
  + Bug fixed: bgo#496232
  + Updated translations.
* Mon Mar  3 2008 maw@suse.de
- Update to version 1.21.92:
  + Bugs fixed: bgo#508147, bgo#517761, bgo#517250, and bgo#512702.
* Wed Jan 23 2008 maw@suse.de
- Update to version 1.21.5:
  + Bugs (bugzilla.gnome.org) fixed: #474480 and #503091.
* Mon Dec 17 2007 maw@suse.de
- Update to version 1.21.3:
  + Bugs (bugzilla.gnome.org) fixed: #446277, #493547, #326516,
    [#491805], #492469, and #490202.
* Fri Nov 23 2007 maw@suse.de
- Update to version 1.21.1:
  + Bugs (bugzilla.gnome.org) fixed: #490205, #490202, and #489273.
* Mon Sep 17 2007 sbrabec@suse.cz
- Updated to version 1.20.0:
  * bug fixes
* Thu Aug 30 2007 maw@suse.de
- Remove unnecessary autoreconf call.
* Mon Aug  6 2007 maw@suse.de
- Split out a -lang subpackage
- s#%%run_ldconfig#/sbin/ldconfig# in %%post and %%postun.
* Tue Jul 31 2007 maw@suse.de
- Update to version 1.19.5
- bugzilla.gnome.org bugs fixed: #446277, #450897, and #433802
- Use %%fdupes.
* Thu Jul  5 2007 maw@suse.de
- Update to version 1.19.3
- New python binding: pyatspi
- So buildrequire python
- Fixes for bugzilla.gnome.org #430938, #427836, #428007, #405774,
  [#407600], #329454, #439057, and #439436/
* Wed Apr 11 2007 maw@suse.de
- Update to version 1.18.1, which has a fix for bugzilla.gnome.org
  [#329454].
* Wed Mar 21 2007 maw@suse.de
- Update to version 1.18.0
- Bug fixes, including bugzilla.gnome.org 404584, 375319, 401299,
  412286, 329454.
* Wed Mar 21 2007 jhargadon@suse.de
- moved *.idl files to the devel package (#254444)
* Fri Feb 16 2007 maw@suse.de
- Update to version 1.17.0
- Remove at-spi-implicit-definition.patch
* Wed Jan  3 2007 sbrabec@suse.cz
- Spec file cleanup.
* Wed Dec 13 2006 maw@suse.de
- Move to /usr.
* Mon Oct  2 2006 jhargadon@suse.de
- update to version 1.7.12
- Modified parameter names in some IDL to avoid class name collisions
- Bugfixes: #353226, #356688 (Neo Liu), #350552 (Ginn Chen), #350958
* Wed Aug 30 2006 jhargadon@suse.de
- update to version 1.7.11
- Docs fixes
- Fixed getAttributes APIs
- Export Hyperlink interface for AtkHyperlinkImpl peers
- Aggregate Document interface
* Mon Jul 31 2006 gekker@suse.de
- Update to version 1.7.10
  * New method Selection::deselectChild.  RFE #326535.
* Fri Jul 21 2006 gekker@suse.de
- Update to version 1.7.9
- Remove upstreamed patch
  * I18n uses po/LINGUAS now.
  * Table enhancement: new method Table::getRowColumnExtentsAtIndex
    RFE #326536.  Assistance from Ariel Rios.
  * Text enhancement: Text::getAttributeRun, Text::getDefaultAttributeSet
    RFE #326540.  Assistance from Ariel Rios.
  * New interface, Document.  RFE #326520.
  * New roles, LINK, REDUNDANT_OBJECT, INPUT_METHOD_WINDOW, FORM.
  * Meaningful implementation and bridges for StreamableContent.
    RFE #326532.
  * Added STATE_VISITED, and relations DESCRIBED_BY, DESCRIPTION_FOR,
    and PARENT_WINDOW_OF.
  * Fixed dist to include Accessibility_Selector.idl (missing from dist though
    in cvs since 1.7.3).
  * Bugfixes to EventDetails event support, and fixed event emission for
    implementors of SPI_REMOTE_OBJECT.
  * Added idl/Accessibility_Selector.idl to the repository (missing in 1.7.0
    through 1.7.2, added in 1.7.3)
  * DOCS:
    All the IDL is now documented with doxygen-compatible docs.
    Just run 'doxygen oxyfile' in the IDL directory.  (This will
    be automated in a future version).
  * NEW API:
    idl:
    Accessibility::Accessible:getAttributes (name/value pair annotation
    for all objects)
    Accessibility::Accessible:getApplication (retrieves ref to host app)
    Accessibility::Component:getAlpha (get transparency/opacity value of comonent)
    Accessibility::Image:getLocale (get POSIX locale for image and
    imagedesc)
    Accessibility::Text:getAttributeValue (retrieve a single named
    attribute value)
    Accessibility::Relation:RELATION_PARENT_WINDOW_OF
    Accessibility::Role:ROLE_ENTRY, ROLE_CHART, ROLE_CAPTION,
    ROLE_DOCUMENT_FRAME, ROLE_HEADING, ROLE_PAGE, ROLE_SECTION (New roles
    for complex docs and forms.)
    Accessibility::State:STATE_REQUIRED, STATE_TRUNCATED, STATE_ANIMATED,
    STATE_INVALID_ENTRY, STATE_SUPPORTS_AUTOCOMPLETION,
    STATE_SELECTABLE_TEXT, STATE_IS_DEFAULT (New states, for complex forms)
    Accessibility::EventDetails (new, more detailed info marshalled with events)
    cspi:
    (AccessibleEvent_getSourceName):
    (AccessibleEvent_getSourceRole):
    (AccessibleEvent_getSourceApplication):
    (AccessibleEvent_getSourceDetails):
    New methods for interrogating/demarshalling event details i.e. source's
    accessible name, role, and host app.
    (Accessible_getAttributes): New, retrieve annotations/attributes
    on objects.
    (Accessible_getHostApplication): New, retrieve enclosing Application
    instance for an object.
    (AccessibleImage_getImageLocale): New, retrieve Locale info for an
    image.
    (AccessibleComponent_getAlpha): New, retrieve alpha value for
    an AccessibleComponent (see discussion in idl section above).
  * BUGFIXES:
    Some compiler fixes from Kjartan Marass.
    Some thread-related fixes from Michael Meeks.
    Don't allow non-preemptive listeners to pre-empt events! (Bill Haneman).
* Tue Mar 14 2006 gekker@suse.de
- fix a threading deadlock in event emission (#157561)
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Sep  5 2005 gekker@suse.de
- Update to version 1.6.6
* Mon Sep  5 2005 gekker@suse.de
- Update to version 1.6.5 (GNOME 2.12)
- Add docbook-xml-packages to nfb
* Tue Jun  7 2005 gekker@suse.de
- Update to version 1.6.4.
* Wed Jun  1 2005 sbrabec@suse.cz
- Fixed devel requirements.
* Tue Mar  8 2005 gekker@suse.de
- Update to version 1.6.3 (GNOME 2.10)
* Fri Feb  4 2005 meissner@suse.de
- fixed sentinel warning.
* Thu Dec 16 2004 ro@suse.de
- fix compiler warning
* Wed Dec 15 2004 gekker@suse.de
- Update version to 1.6.2.
* Fri Nov 19 2004 ro@suse.de
- removed extra aclocal include directive
* Tue Oct 12 2004 sbrabec@suse.cz
- Removed openssl from build requirements.
* Tue Oct 12 2004 sbrabec@suse.cz
- Fixed libexecdir for bi-arch (#47050).
* Tue May  4 2004 sbrabec@suse.cz
- Moved *.pc to at-spi-devel.
* Wed Apr 21 2004 sbrabec@suse.cz
- Updated to version 1.4.2 (GNOME 2.6).
* Thu Feb 19 2004 sbrabec@suse.cz
- Updated to version 1.3.12.
* Mon Feb  9 2004 hhetter@suse.de
- updated to version 1.3.8 [GNOME2.4.2]
* Sat Jan 10 2004 adrian@suse.de
- add %%run_ldconfig and %%defattr
* Thu Oct  9 2003 sbrabec@suse.cz
- Updated to version 1.3.7 (GNOME 2.4).
* Fri Aug 15 2003 sbrabec@suse.cz
- Updated to version 1.2.1.
* Tue Jul 15 2003 sbrabec@suse.cz
- Prefix really changed to /opt/gnome.
* Tue Jul 15 2003 sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
* Sun Jul 13 2003 hhetter@suse.de
- %%_lib fixes
* Tue Jun 24 2003 sbrabec@suse.cz
- Fixed neededforbuild.
- Branched at-spi-devel and at-spi-doc.
- Prefix clash fixes - gtk-doc, orbit2 modules and gtk modules.
- Standard docs moved from yelp directory.
* Mon May 26 2003 ro@suse.de
- add bonobo-server to filelist
- remove unpackaged/moved files from buildroot
* Wed Feb 26 2003 sbrabec@suse.cz
- FHS fix.
* Fri Feb  7 2003 hhetter@suse.de
- updated to version 1.1.8 [GNOME 2.2.0]
* Mon Nov 11 2002 ro@suse.de
- changed neededforbuild <xf86 xdevel> to <x-devel-packages>
* Fri Sep 27 2002 ro@suse.de
- Added alsa alsa-devel to neededforbuild (esound)
* Thu Jun  6 2002 ro@suse.de
- build on lib64 platforms
* Wed Jun  5 2002 hhetter@suse.de
- initial SuSE Release
